
get_filename_component(_qt5_install_prefix ${CMAKE_CURRENT_LIST_DIR}/../../../ ABSOLUTE)

set(Qt5PlatformSupport_VERSION_MAJOR 5)
set(Qt5PlatformSupport_VERSION_MINOR 0)
set(Qt5PlatformSupport_VERSION_PATCH 0)

set(Qt5PlatformSupport_LIBRARY Qt5PlatformSupport)

set(Qt5PlatformSupport_HEADER_DIR "${_qt5_install_prefix}/include" )

set(Qt5PlatformSupport_INCLUDE_DIRS "${Qt5PlatformSupport_HEADER_DIR}" "${_qt5_install_prefix}/include/QtPlatformSupport")

set(Qt5PlatformSupport_LIBRARY_DIR "${_qt5_install_prefix}/lib")

string(TOUPPER PlatformSupport _CMAKE_MODULE_NAME_UPPER)
set(Qt5PlatformSupport_DEFINITIONS -DQT_${_CMAKE_MODULE_NAME_UPPER}_LIB)
set(Qt5PlatformSupport_COMPILE_DEFINITIONS QT_${_CMAKE_MODULE_NAME_UPPER}_LIB)

set(_Qt5_MODULE_DEPENDENCIES "Core;Gui")

if (NOT "" STREQUAL "")
    include("${CMAKE_CURRENT_LIST_DIR}/Qt5PlatformSupportConfigExtras.cmake")
endif()

if (NOT "" STREQUAL "")
    include("${CMAKE_CURRENT_LIST_DIR}/Qt5PlatformSupportMacros.cmake")
endif()

if (NOT _Qt5PlatformSupport_target)
    set(_Qt5PlatformSupport_target 1)
    add_library(Qt5PlatformSupport SHARED IMPORTED)
    if (NOT "" STREQUAL "")
        set_property(TARGET Qt5PlatformSupport PROPERTY FRAMEWORK 1)
    endif()
endif()

if (NOT "debug" STREQUAL "")
    set_property(TARGET Qt5PlatformSupport APPEND PROPERTY IMPORTED_CONFIGURATIONS DEBUG)
    set_target_properties(Qt5PlatformSupport PROPERTIES
        IMPORTED_LINK_INTERFACE_LIBRARIES_DEBUG "Qt5Core;Qt5Gui"
        IMPORTED_LOCATION_DEBUG "${_qt5_install_prefix}/lib/libQtPlatformSupport.so.5.0.0"
    )
    if (NOT "" STREQUAL "")
        set_target_properties(Qt5PlatformSupport PROPERTIES
            IMPORTED_IMPLIB_DEBUG "${_qt5_install_prefix}/lib/"
        )
    endif()
endif()

if (NOT "" STREQUAL "")
    set_property(TARGET Qt5PlatformSupport APPEND PROPERTY IMPORTED_CONFIGURATIONS RELEASE)
    set_target_properties(Qt5PlatformSupport PROPERTIES
        IMPORTED_LINK_INTERFACE_LIBRARIES_RELEASE "Qt5Core;Qt5Gui"
        IMPORTED_LOCATION_RELEASE "${_qt5_install_prefix}/lib/libQtPlatformSupport.so.5.0.0"
    )
    if (NOT "" STREQUAL "")
        set_target_properties(Qt5PlatformSupport PROPERTIES
            IMPORTED_IMPLIB_RELEASE "${_qt5_install_prefix}/lib/"
        )
    endif()
endif()
