
get_filename_component(_qt5_install_prefix ${CMAKE_CURRENT_LIST_DIR}/../../../ ABSOLUTE)

set(Qt5Sql_VERSION_MAJOR 5)
set(Qt5Sql_VERSION_MINOR 0)
set(Qt5Sql_VERSION_PATCH 0)

set(Qt5Sql_LIBRARY Qt5Sql)

set(Qt5Sql_HEADER_DIR "${_qt5_install_prefix}/include" )

set(Qt5Sql_INCLUDE_DIRS "${Qt5Sql_HEADER_DIR}" "${_qt5_install_prefix}/include/QtSql")

set(Qt5Sql_LIBRARY_DIR "${_qt5_install_prefix}/lib")

string(TOUPPER Sql _CMAKE_MODULE_NAME_UPPER)
set(Qt5Sql_DEFINITIONS -DQT_${_CMAKE_MODULE_NAME_UPPER}_LIB)
set(Qt5Sql_COMPILE_DEFINITIONS QT_${_CMAKE_MODULE_NAME_UPPER}_LIB)

set(_Qt5_MODULE_DEPENDENCIES "Core")

if (NOT "" STREQUAL "")
    include("${CMAKE_CURRENT_LIST_DIR}/Qt5SqlConfigExtras.cmake")
endif()

if (NOT "" STREQUAL "")
    include("${CMAKE_CURRENT_LIST_DIR}/Qt5SqlMacros.cmake")
endif()

if (NOT _Qt5Sql_target)
    set(_Qt5Sql_target 1)
    add_library(Qt5Sql SHARED IMPORTED)
    if (NOT "" STREQUAL "")
        set_property(TARGET Qt5Sql PROPERTY FRAMEWORK 1)
    endif()
endif()

if (NOT "debug" STREQUAL "")
    set_property(TARGET Qt5Sql APPEND PROPERTY IMPORTED_CONFIGURATIONS DEBUG)
    set_target_properties(Qt5Sql PROPERTIES
        IMPORTED_LINK_INTERFACE_LIBRARIES_DEBUG "Qt5Core"
        IMPORTED_LOCATION_DEBUG "${_qt5_install_prefix}/lib/libQtSql.so.5.0.0"
    )
    if (NOT "" STREQUAL "")
        set_target_properties(Qt5Sql PROPERTIES
            IMPORTED_IMPLIB_DEBUG "${_qt5_install_prefix}/lib/"
        )
    endif()
endif()

if (NOT "" STREQUAL "")
    set_property(TARGET Qt5Sql APPEND PROPERTY IMPORTED_CONFIGURATIONS RELEASE)
    set_target_properties(Qt5Sql PROPERTIES
        IMPORTED_LINK_INTERFACE_LIBRARIES_RELEASE "Qt5Core"
        IMPORTED_LOCATION_RELEASE "${_qt5_install_prefix}/lib/libQtSql.so.5.0.0"
    )
    if (NOT "" STREQUAL "")
        set_target_properties(Qt5Sql PROPERTIES
            IMPORTED_IMPLIB_RELEASE "${_qt5_install_prefix}/lib/"
        )
    endif()
endif()
