
get_filename_component(_qt5_install_prefix ${CMAKE_CURRENT_LIST_DIR}/../../../ ABSOLUTE)

set(Qt5Test_VERSION_MAJOR 5)
set(Qt5Test_VERSION_MINOR 0)
set(Qt5Test_VERSION_PATCH 0)

set(Qt5Test_LIBRARY Qt5Test)

set(Qt5Test_HEADER_DIR "${_qt5_install_prefix}/include" )

set(Qt5Test_INCLUDE_DIRS "${Qt5Test_HEADER_DIR}" "${_qt5_install_prefix}/include/QtTest")

set(Qt5Test_LIBRARY_DIR "${_qt5_install_prefix}/lib")

string(TOUPPER Test _CMAKE_MODULE_NAME_UPPER)
set(Qt5Test_DEFINITIONS -DQT_${_CMAKE_MODULE_NAME_UPPER}_LIB)
set(Qt5Test_COMPILE_DEFINITIONS QT_${_CMAKE_MODULE_NAME_UPPER}_LIB)

set(_Qt5_MODULE_DEPENDENCIES "Core")

if (NOT "" STREQUAL "")
    include("${CMAKE_CURRENT_LIST_DIR}/Qt5TestConfigExtras.cmake")
endif()

if (NOT "" STREQUAL "")
    include("${CMAKE_CURRENT_LIST_DIR}/Qt5TestMacros.cmake")
endif()

if (NOT _Qt5Test_target)
    set(_Qt5Test_target 1)
    add_library(Qt5Test SHARED IMPORTED)
    if (NOT "" STREQUAL "")
        set_property(TARGET Qt5Test PROPERTY FRAMEWORK 1)
    endif()
endif()

if (NOT "debug" STREQUAL "")
    set_property(TARGET Qt5Test APPEND PROPERTY IMPORTED_CONFIGURATIONS DEBUG)
    set_target_properties(Qt5Test PROPERTIES
        IMPORTED_LINK_INTERFACE_LIBRARIES_DEBUG "Qt5Core"
        IMPORTED_LOCATION_DEBUG "${_qt5_install_prefix}/lib/libQtTest.so.5.0.0"
    )
    if (NOT "" STREQUAL "")
        set_target_properties(Qt5Test PROPERTIES
            IMPORTED_IMPLIB_DEBUG "${_qt5_install_prefix}/lib/"
        )
    endif()
endif()

if (NOT "" STREQUAL "")
    set_property(TARGET Qt5Test APPEND PROPERTY IMPORTED_CONFIGURATIONS RELEASE)
    set_target_properties(Qt5Test PROPERTIES
        IMPORTED_LINK_INTERFACE_LIBRARIES_RELEASE "Qt5Core"
        IMPORTED_LOCATION_RELEASE "${_qt5_install_prefix}/lib/libQtTest.so.5.0.0"
    )
    if (NOT "" STREQUAL "")
        set_target_properties(Qt5Test PROPERTIES
            IMPORTED_IMPLIB_RELEASE "${_qt5_install_prefix}/lib/"
        )
    endif()
endif()
